Subject: bug#17412: 24.3; Unicode key events broken, not usable in input method

From: Eli Zaretskii <[email-masked]>
Date: Tue, 06 May 2014 21:55:41 +0300

> From: Stefan Dorn <[email-masked]>
> Date: Tue, 6 May 2014 19:38:24 +0100
> 
> Most search features in Emacs don't do Unicode normalization, so ä (a
> with umlaut) and ä (a with combining diacritic umlaut) don't match. I
> added some normalization hacks to isearch and just force-normalize the
> buffer when I save it, but wanted a more universal and clean solution.
> 
> I thought I could just set up a "letter + combining diacritic" ->
> "normalized character" input method to fix most of this, but again
> arbitrarily can't use any of the diacritics in quail.

That's not how to add normalization support to Emacs search.  It is
much better to define a case-table that maps each normalization
variant to a single canonical one, and then search functions will (or
at least should: I didn't actually try that) automatically do the
mapping for you, both in the search string and in the buffer/string
text you are searching through.